#include <stdio.h>

int main()
{
    int a,b;
    char c;
    scanf("%d%d",&a,&b);
    for (int i=0;i<a;i++)
    {
        scanf("%c",&c);
        for (int j=0;j<b;j++) scanf("%c",&c);
    }
    printf("-1");
}